<?php
/**
* @version		$Id: date.php  $
* SectionEx specific time conversions.
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

class SExDateHelper 
{		
	function sec_to_DB_time($seconds) {
		$negative = 0;
		if ($seconds < 0){
			$seconds = abs($seconds);
			$negative = 1;
		}
	    $hours = floor($seconds / 3600);
	    $minutes = floor($seconds % 3600 / 60);
	    $seconds = $seconds % 60;
	    
	    if($negative == 1){
	    	$hours = 0 - $hours;
	    }
	    return sprintf("%d:%02d:%02d", $hours, $minutes, $seconds);
	}
	function get_user_DB_tz_offset_relative_to_joomla_tz_offset() 
	{		
		$user =& JFactory::getUser();
		if ($user->id != 0)
		{	// -> logged-in user
			global $mainframe;
			$joomlaTimeZone  = $mainframe->getCfg('offset');				// joomla (global) time-zone set in the back-end
			$userTimeZone = $user->getParam('timezone', $joomlaTimeZone);	// user time-zone
			
			return SExDateHelper::sec_to_DB_time(($userTimeZone - $joomlaTimeZone) * 60 * 60);
		}
		
		// guests always use the global joomla time zone (no ofset)
		return SExDateHelper::sec_to_DB_time(0);
	}
}