<?php
/**
* Show descriptions and credits while installing SectionEx.
*
 * @version		1.50
 * @package 	SectionEx
 * @copyright	Copyright (C)  2008, By Robert Kuster. All rights reserved.
 * @link                http://www.joomla.rkuster.com 
 * @license		GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die('Restricted access'); // no direct access


function com_install() 
{
	// -> load language file for SectionEx
	$lang = & JFactory :: getLanguage();
	if ($lang != null)	$lang->load( 'com_sectionex' );
?>


<fieldset class="adminform">
<legend><?php echo JText::_( 'DESCRIPTION'); ?></legend>
<?php echo JText::_( 'INST_DESC'); ?>
</fieldset>

<fieldset class="adminform">
<legend><?php echo JText::_( 'INST_CREDITS'); ?></legend>
	<table class="admintable" width="100%">
		<tr>
			<th width="40%"><?php echo JText::_( 'INST_CREDITS_NAMES'); ?></th>
			<th width="60%"><?php echo JText::_( 'INST_CONTRIBUTION'); ?></th>
		</tr>
		<tr>
			<td class="name">
			  <a href="http://rkuster.com" target="_blank">Robert Kuster</a>
			</td>
			<td>
			  <?php echo JText::_( 'INST_FOUNDER'); ?>,
			  <?php echo JText::_( 'INST_PROJECT_LEADER' ); ?> &amp; <?php echo JText::_( 'INST_DEVELOPER'); ?>
			</td>
		</tr>
		<tr>
			<td class="name">Andreas Thul
			</td>
			<td>
			  <?php echo JText::_( 'INST_TRANSLATOR') .' ('. JText::_('INST_LNG_GERMAN') .')'; ?>
			</td>
		</tr>
		<tr>
			<td class="name">Arno Becht
			</td>
			<td>
			  <?php echo JText::_( 'INST_TRANSLATOR') .' ('. JText::_('INST_LNG_DUTCH') .')'; ?>
			</td>
		</tr>
		<tr>
			<td class="name">Benoit Vincent
			</td>
			<td>
			  <?php echo JText::_( 'INST_TRANSLATOR') .' ('. JText::_('INST_LNG_FRENCH') .')'; ?>
			</td>
		</tr>
		<tr>
			<td class="name">
				<a href="http://calexamorim.blogspot.com/" target="_blank">C. Alexandre Amorim</a>
			</td>
			<td>
			  <?php echo JText::_( 'INST_TRANSLATOR') .' ('. JText::_('INST_LNG_PORTUGUESE') .')'; ?>
			</td>
		</tr>
		<tr>
			<td class="name">
				<a href="http://www.provisum-studio.com" target="_blank">Riccardo Budini</a>
			</td>
			<td>
			  <?php echo JText::_( 'INST_TRANSLATOR') .' ('. JText::_('INST_LNG_ITALIAN') .')'; ?>
			</td>
		</tr>
	</table>
	<br /><?php echo JText::_( 'INST_ENABLE_TRANSLATION'); ?>
</fieldset>
<?php
return true;
}
?>